# Conception

## Intrinsic calibration

cf TP Simone Gasparini

## Extrinsic calibration

cf TP Simone Gasparini

## Skeletonization

 - Input : vector string
 - Ouptut : skeleton

### Points of interest detection

 - Input : string : pictures ().jpg), (int : nb features?)
 - Output : keypoints vector ( std::vector<KeyPoint>)
 - function : we chose to use function SIFT (not SURF or Harris
 
 - tests :
   - with an image, verify the right number of points is detected
 
### Matching points

 - Input : keypoints vectors, calibration
 - Output : keypoints vector 
 - function : 
 - tests :
   - use the function to match the points between a picture and herself
   - use the function with different soft toys on the first and second picture
 
### Binary filter ?

 - Input : binary filter, matched points
 - Ouptut : filtered matched points
 - tests :
   - 
 
### Camera filter 


### Skeleton division

 - Input :
 - Output :


### Skeleton matching

 - Input :
 - Output :



